%define __libtoolize    /bin/true

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define lib_name_orig %mklibname kdetoys
%define lib_major 1
%define lib_name %lib_name_orig%lib_major
%define subrel 3

Name: kdetoys
Summary: K Desktop Environment - Toys and Amusements
Version: 3.5.7
Release: %mkrel 2
Epoch: 1
URL: ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source:	ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
Patch0: kdetoys-3.5.6-fix-screensaver-nodisplay.patch
Group: Graphical desktop/KDE
BuildRoot: %_tmppath/%name-%version-%release-root
License: GPL
Obsoletes: kteatime
Provides: kteatime
Obsoletes: kdetoys3.0 
Obsoletes: kdetoys3
Provides: kdetoys3 = %epoch:%version-%release
Obsoletes: %lib_name
BuildRequires: X11-devel 
BuildRequires: kdelibs-devel
BuildRequires: qt3-devel
BuildRequires: automake1.7

%description
Toys for the K Desktop Environment.

Software included in this package are:
	- amor: Amusing Misuse Of Resources put's comic figures above your windows
	- eyesapplet: a kicker applet similar to XEyes
	- fifteenapplet: kicker applet, order 15 pieces in a 4x4 square by moving them
	- kmoon: system tray applet showing the moon phase
	- kodo: mouse movement meter
	- kscore: kicker applet with a sports ticker
	- kteatime: system tray applet that makes sure your tea doesn't get too strong
	- ktux: Tux-in-a-Spaceship screen saver
	- kweather: kicker applet that will display the current weather outside
	- kworldwatch: application and kicker applet showing daylight area on the world globe

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%_bindir/amor
%_bindir/kodo
%_bindir/kteatime
%_bindir/ktux
%_bindir/kworldclock

%_datadir/applications/kde/amor.desktop
%_datadir/applications/kde/kodo.desktop
%_datadir/applications/kde/kteatime.desktop
%_datadir/applications/kde/kworldclock.desktop

%_datadir/applnk/System/ScreenSavers/ktux.desktop
%_datadir/apps/kdesktop/programs/kdeworld.desktop
%_datadir/apps/kicker/applets/eyesapplet.desktop
%_datadir/apps/kicker/applets/kfifteenapplet.desktop
%_datadir/apps/kicker/applets/kmoonapplet.desktop
%_datadir/apps/kicker/applets/kwwapplet.desktop

%_datadir/apps/kmoon
%_datadir/apps/ktux
%_datadir/apps/kteatime
%_datadir/apps/kworldclock
%_datadir/apps/amor
%_datadir/apps/kodo

%_libdir/kde3/eyes_panelapplet.*
%_libdir/kde3/fifteen_panelapplet.*
%_libdir/kde3/kmoon_panelapplet.*
%_libdir/kde3/ww_panelapplet.*

%_iconsdir/hicolor/*/apps/amor.png
%_iconsdir/hicolor/*/apps/kmoon.png
%_iconsdir/hicolor/*/apps/kodo.png
%_iconsdir/hicolor/*/apps/kteatime.png
%_iconsdir/hicolor/*/apps/kworldclock.png
%_iconsdir/hicolor/*/apps/ktux.png

%doc %_docdir/HTML/en/amor
%doc %_docdir/HTML/en/kmoon
%doc %_docdir/HTML/en/kodo
%doc %_docdir/HTML/en/kteatime
%doc %_docdir/HTML/en/kworldclock


#--------------------------------------------------------------------

%package -n %lib_name-devel
Summary:        Headers files for kdetoys
Group:          Development/KDE and Qt

Provides:       kdetoys-devel = %epoch:%version-%release
Obsoletes:      kdetoys-devel


Obsoletes:  kdetoys3-devel
Provides:   kdetoys3-devel = %epoch:%name-%version

Provides:       %lib_name_orig-devel = %epoch:%version-%release

%description -n %lib_name-devel
Headers files for kdetoys.


%files -n %lib_name-devel
%defattr(-,root,root,-)
%_includedir/*.h

#--------------------------------------------------------------------

%package kweather
Group:      Graphical desktop/KDE
Summary:    kweather
Conflicts:  kdetoys <=  1:3.5.7-1
Conflicts:  %lib_name-kweather <= 3.2.3-1mdk
Provides:   kweather
Requires:   %lib_name-kweather = %epoch:%version-%release

%description kweather
kicker applet that will display the current weather outside

%post kweather
%update_menus
%update_icon_cache hicolor

%postun kweather
%clean_menus
%clean_icon_cache hicolor

%files kweather
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/kweather
%_bindir/kweather*
%_datadir/apps/kicker/applets/kweather.desktop
%_datadir/apps/kweather*
%_datadir/services/kcmweather.desktop
%_datadir/services/kweatherservice.desktop
%_datadir/services/kcmweatherservice.desktop
%_libdir/kde3/*weather*
%_iconsdir/hicolor/*/*/kweat*

#--------------------------------------------------------------------

%package -n %lib_name-kweather
Group:      Development/KDE and Qt
Summary:    Libraries for kdetoys
Conflicts:  kdetoys <= 3.5.7-1
Conflicts:  %lib_name <= 3.2.3-11mdk

%description -n %lib_name-kweather
kicker applet that will display the current weather outside

%post -n %lib_name-kweather -p /sbin/ldconfig
%postun -n %lib_name-kweather -p /sbin/ldconfig

%files -n %lib_name-kweather
%defattr(-,root,root,-)
%_libdir/libkdeinit_kweatherreport.*

#--------------------------------------------------------------------

%prep

%setup -q
%patch0 -p1 -b .fix_screensaver_nodisplay

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

%configure2_5x \
%if %unstable
    --enable-debug=full \
%else
    --disable-debug \
%endif
    --enable-shared \
%if %use_enable_final
    --enable-final \
%else
    --disable-final \
%endif
    --disable-static \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
    --disable-embedded \
    --disable-qtopia \
    --disable-rpath \
    --with-gnu-ld \
    --with-pic \
    --with-extra-includes=/usr/include/avahi-compat-libdns_sd/ \
    --with-xinerama

%make


%install
rm -fr %buildroot
make install DESTDIR=%buildroot

%clean
rm -fr %buildroot


%changelog
* Sun Jan 06 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.7-2.3mdv2008.0
+ Revision: 145937
- Fix typo on conflicts and allow installation of kdetoys
- Backport fixes from cooker to allow to use kweather w/o all kdetoys installed
  and to use kdetoys w/o kweather
- Fix installation of KWeather binaries (Bug #35399)

* Thu May 17 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-1mdv2008.0
+ Revision: 27531
- 3.5.7 release


* Sat Mar 31 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-6mdv2007.1
+ Revision: 149992
- Only display it under kde
- Fix screensaver nodisplay

* Tue Mar 06 2007 Laurent Montel <lmontel@mandriva.com> 1:3.5.6-4mdv2007.1
+ Revision: 133944
- Fix specification

* Mon Feb 05 2007 Laurent Montel <lmontel@mandriva.com> 1:3.5.6-3mdv2007.1
+ Revision: 116381
- Remove non existing requires
- 3.5.6

* Fri Dec 22 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-2mdv2007.1
+ Revision: 101414
- Fix spec file

* Wed Oct 18 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-1mdv2007.1
+ Revision: 65909
- 3.5.5
- New release (2006/08/03 3.5.4-1mdv)
- Use macro
- 3.5.3
- Rebuild
- Rebuild for generate category
- 3.5.2
- 3.5.1
- MDK9.2 is obsolete now
- Enable debug for cooker
- toto
- real kde3.5
- 3.5.0 (named rc1)
- 3.4.92
- Rebuild
- Use --libsuffix
  use %%qtdir
- Fix error
- Remove debug
  Add diff from svn kde 3.4.2 branch
- 3.4.2

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - We are Mandriva now
    - Uploading package ./kdetoys

* Thu May 05 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-5mdk
- Rebuild

* Sat Apr 23 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Reactivate -fvisibility same as for ppc ask by Christiaan Welvaart <cjw@daneel.dyndns.org>

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Fix requires (bug found by Nicolas Chipaux)

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Use --enable-new-ldflags
- change email

* Thu Apr 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Disable debug

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Fix generated menu
- Don't generate menu entry for ktux screensaver use applnk default directory which is hidden by default

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Disable visibility for ppc

* Fri Jan 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Use -fvisibility

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Bye-bye %%buildfor

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-4mdk
- Fix conflict

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Fix conflict from MDK10.0

* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Fix conflict

* Sat Sep 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- add patch2: fix kweather rtl

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Rebuild for missing package

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Remove debug

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Fix conflict

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Fix spec file

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Fix remove rpath

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Rebuild to new kdelibs

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Fix conflict
- Remove libkdetoys it's empty

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 3.2.2-4mdk
- Rebuild

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Fix conflict

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild with debug

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file for using rpmbuildupdate

* Sat Apr 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

